public inbox for linux-arm-kernel@lists.infradead.org
 help / color / mirror / Atom feed
From: Vincent Donnefort <vdonnefort@google.com>
To: rostedt@goodmis.org, mhiramat@kernel.org,
	mathieu.desnoyers@efficios.com,
	 linux-trace-kernel@vger.kernel.org, maz@kernel.org,
	oliver.upton@linux.dev,  joey.gouly@arm.com,
	suzuki.poulose@arm.com, yuzenghui@huawei.com
Cc: kvmarm@lists.linux.dev, linux-arm-kernel@lists.infradead.org,
	 jstultz@google.com, qperret@google.com, will@kernel.org,
	 aneesh.kumar@kernel.org, kernel-team@android.com,
	 linux-kernel@vger.kernel.org,
	Vincent Donnefort <vdonnefort@google.com>,
	 Shuah Khan <skhan@linuxfoundation.org>,
	linux-kselftest@vger.kernel.org
Subject: [PATCH v7 28/28] tracing: selftests: Add pKVM trace remote tests
Date: Fri,  3 Oct 2025 14:38:25 +0100	[thread overview]
Message-ID: <20251003133825.2068970-29-vdonnefort@google.com> (raw)
In-Reply-To: <20251003133825.2068970-1-vdonnefort@google.com>

Run the trace remote selftests with the pKVM trace remote "hypervisor".

Cc: Shuah Khan <skhan@linuxfoundation.org>
Cc: linux-kselftest@vger.kernel.org
Signed-off-by: Vincent Donnefort <vdonnefort@google.com>

diff --git a/tools/testing/selftests/ftrace/test.d/remotes/pkvm/buffer_size.tc b/tools/testing/selftests/ftrace/test.d/remotes/pkvm/buffer_size.tc
new file mode 100644
index 000000000000..2de07e4d72fe
--- /dev/null
+++ b/tools/testing/selftests/ftrace/test.d/remotes/pkvm/buffer_size.tc
@@ -0,0 +1,11 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+# description: Test pkvm hypervisor trace buffer size
+# requires: remotes/hypervisor/write_event
+
+SOURCE_REMOTE_TEST=1
+. $TEST_DIR/remotes/buffer_size.tc
+
+set -e
+setup_remote "hypervisor"
+test_buffer_size
diff --git a/tools/testing/selftests/ftrace/test.d/remotes/pkvm/reset.tc b/tools/testing/selftests/ftrace/test.d/remotes/pkvm/reset.tc
new file mode 100644
index 000000000000..48afc51627e8
--- /dev/null
+++ b/tools/testing/selftests/ftrace/test.d/remotes/pkvm/reset.tc
@@ -0,0 +1,11 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+# description: Test pkvm hypervisor trace buffer reset
+# requires: remotes/hypervisor/write_event
+
+SOURCE_REMOTE_TEST=1
+. $TEST_DIR/remotes/reset.tc
+
+set -e
+setup_remote "hypervisor"
+test_reset
diff --git a/tools/testing/selftests/ftrace/test.d/remotes/pkvm/trace.tc b/tools/testing/selftests/ftrace/test.d/remotes/pkvm/trace.tc
index 49dca7c3861a..00aed1c2e650 100644
--- a/tools/testing/selftests/ftrace/test.d/remotes/pkvm/trace.tc
+++ b/tools/testing/selftests/ftrace/test.d/remotes/pkvm/trace.tc
@@ -1,9 +1,10 @@
 #!/bin/sh
 # SPDX-License-Identifier: GPL-2.0
-# description: Test pkvm hypervisor tracing pipe
+# description: Test pkvm hypervisor non-consuming trace read
+# requires: remotes/hypervisor/write_event
 
 SOURCE_REMOTE_TEST=1
-. $TEST_DIR/remotes/trace_pipe.tc
+. $TEST_DIR/remotes/trace.tc
 
 set -e
 setup_remote "hypervisor"
diff --git a/tools/testing/selftests/ftrace/test.d/remotes/pkvm/trace_pipe.tc b/tools/testing/selftests/ftrace/test.d/remotes/pkvm/trace_pipe.tc
new file mode 100644
index 000000000000..b63339aca380
--- /dev/null
+++ b/tools/testing/selftests/ftrace/test.d/remotes/pkvm/trace_pipe.tc
@@ -0,0 +1,11 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+# description: Test pkvm hypervisor consuming trace read
+# requires: remotes/hypervisor/write_event
+
+SOURCE_REMOTE_TEST=1
+. $TEST_DIR/remotes/trace_pipe.tc
+
+set -e
+setup_remote "hypervisor"
+test_trace_pipe
diff --git a/tools/testing/selftests/ftrace/test.d/remotes/pkvm/unloading.tc b/tools/testing/selftests/ftrace/test.d/remotes/pkvm/unloading.tc
new file mode 100644
index 000000000000..eb1640a927cc
--- /dev/null
+++ b/tools/testing/selftests/ftrace/test.d/remotes/pkvm/unloading.tc
@@ -0,0 +1,11 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+# description: Test pkvm hypervisor trace buffer unloading
+# requires: remotes/hypervisor/write_event
+
+SOURCE_REMOTE_TEST=1
+. $TEST_DIR/remotes/unloading.tc
+
+set -e
+setup_remote "hypervisor"
+test_unloading
-- 
2.51.0.618.g983fd99d29-goog



      parent reply	other threads:[~2025-10-03 13:40 UTC|newest]

Thread overview: 33+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-10-03 13:37 [PATCH v7 00/28] Tracefs support for pKVM Vincent Donnefort
2025-10-03 13:37 ` [PATCH v7 01/28] ring-buffer: Add page statistics to the meta-page Vincent Donnefort
2025-10-03 13:37 ` [PATCH v7 02/28] ring-buffer: Store bpage pointers into subbuf_ids Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 03/28] ring-buffer: Introduce ring-buffer remotes Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 04/28] ring-buffer: Add non-consuming read for " Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 05/28] tracing: Introduce trace remotes Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 06/28] tracing: Add reset to " Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 07/28] tracing: Add non-consuming read " Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 08/28] tracing: Add init callback " Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 09/28] tracing: Add events " Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 10/28] tracing: Add events/ root files " Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 11/28] tracing: Add helpers to create trace remote events Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 12/28] ring-buffer: Export buffer_data_page and macros Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 13/28] tracing: Introduce simple_ring_buffer Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 14/28] tracing: Add a trace remote module for testing Vincent Donnefort
2025-10-16 21:06   ` Steven Rostedt
2025-10-16 21:11     ` Steven Rostedt
2025-10-17  8:36       ` Vincent Donnefort
2025-10-17  9:14         ` Steven Rostedt
2025-10-03 13:38 ` [PATCH v7 15/28] tracing: selftests: Add trace remote tests Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 16/28] Documentation: tracing: Add tracing remotes Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 17/28] tracing: load/unload page callbacks for simple_ring_buffer Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 18/28] tracing: Check for undefined symbols in simple_ring_buffer Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 19/28] KVM: arm64: Support unaligned fixmap in the pKVM hyp Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 20/28] KVM: arm64: Add clock support for " Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 21/28] KVM: arm64: Add tracing capability " Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 22/28] KVM: arm64: Add trace remote " Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 23/28] KVM: arm64: Sync boot clock with " Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 24/28] KVM: arm64: Add trace reset to " Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 25/28] KVM: arm64: Add event support to the pKVM hyp and trace remote Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 26/28] KVM: arm64: Add hyp_enter/hyp_exit events to pKVM hyp Vincent Donnefort
2025-10-03 13:38 ` [PATCH v7 27/28] KVM: arm64: Add selftest event support " Vincent Donnefort
2025-10-03 13:38 ` Vincent Donnefort [this message]

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20251003133825.2068970-29-vdonnefort@google.com \
    --to=vdonnefort@google.com \
    --cc=aneesh.kumar@kernel.org \
    --cc=joey.gouly@arm.com \
    --cc=jstultz@google.com \
    --cc=kernel-team@android.com \
    --cc=kvmarm@lists.linux.dev \
    --cc=linux-arm-kernel@lists.infradead.org \
    --cc=linux-kernel@vger.kernel.org \
    --cc=linux-kselftest@vger.kernel.org \
    --cc=linux-trace-kernel@vger.kernel.org \
    --cc=mathieu.desnoyers@efficios.com \
    --cc=maz@kernel.org \
    --cc=mhiramat@kernel.org \
    --cc=oliver.upton@linux.dev \
    --cc=qperret@google.com \
    --cc=rostedt@goodmis.org \
    --cc=skhan@linuxfoundation.org \
    --cc=suzuki.poulose@arm.com \
    --cc=will@kernel.org \
    --cc=yuzenghui@huawei.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox